/**
 * IncidentInfo 部件模型
 *
 * @export
 * @class IncidentInfoModel
 */
export default class IncidentInfoModel {

  /**
    * 获取数据项集合
    *
    * @returns {any[]}
    * @memberof IncidentInfoModel
    */
  public getDataItems(): any[] {
    return [
      {
        name: 'lastonholdtime',
      },
      {
        name: 'versionnumber',
      },
      {
        name: 'customeridtype',
      },
      {
        name: 'firstresponseslastatus',
      },
      {
        name: 'incidentstagecode',
      },
      {
        name: 'influencescore',
      },
      {
        name: 'customerid',
      },
      {
        name: 'socialprofileid',
      },
      {
        name: 'ticketnumber',
      },
      {
        name: 'merged',
      },
      {
        name: 'productserialnumber',
      },
      {
        name: 'description',
      },
      {
        name: 'owneridtype',
      },
      {
        name: 'escalated',
      },
      {
        name: 'stageid',
      },
      {
        name: 'casetypecode',
      },
      {
        name: 'emailaddress',
      },
      {
        name: 'checkemail',
      },
      {
        name: 'severitycode',
      },
      {
        name: 'escalatedon',
      },
      {
        name: 'utcconversiontimezonecode',
      },
      {
        name: 'ownerid',
      },
      {
        name: 'billedserviceunits',
      },
      {
        name: 'prioritycode',
      },
      {
        name: 'entityimage',
      },
      {
        name: 'customeridyominame',
      },
      {
        name: 'onholdtime',
      },
      {
        name: 'createman',
      },
      {
        name: 'kbarticleid',
      },
      {
        name: 'contractservicelevelcode',
      },
      {
        name: 'contactidyominame',
      },
      {
        name: 'accountidyominame',
      },
      {
        name: 'entityimage_url',
      },
      {
        name: 'customercontacted',
      },
      {
        name: 'processid',
      },
      {
        name: 'timezoneruleversionnumber',
      },
      {
        name: 'createdate',
      },
      {
        name: 'decrementing',
      },
      {
        name: 'updateman',
      },
      {
        name: 'statuscode',
      },
      {
        name: 'responsiblecontactidyominame',
      },
      {
        name: 'resolveby',
      },
      {
        name: 'responseby',
      },
      {
        name: 'primarycontactidyominame',
      },
      {
        name: 'entityimageid',
      },
      {
        name: 'followuptaskcreated',
      },
      {
        name: 'firstresponsesent',
      },
      {
        name: 'followupby',
      },
      {
        name: 'incident',
        prop: 'incidentid',
      },
      {
        name: 'servicestage',
      },
      {
        name: 'traversedpath',
      },
      {
        name: 'owneridyominame',
      },
      {
        name: 'numberofchildincidents',
      },
      {
        name: 'blockedprofile',
      },
      {
        name: 'overriddencreatedon',
      },
      {
        name: 'actualserviceunits',
      },
      {
        name: 'messagetypecode',
      },
      {
        name: 'routecase',
      },
      {
        name: 'statecode',
      },
      {
        name: 'importsequencenumber',
      },
      {
        name: 'resolvebyslastatus',
      },
      {
        name: 'caseorigincode',
      },
      {
        name: 'activitiescomplete',
      },
      {
        name: 'updatedate',
      },
      {
        name: 'decremententitlementterm',
      },
      {
        name: 'customersatisfactioncode',
      },
      {
        name: 'sentimentvalue',
      },
      {
        name: 'entityimage_timestamp',
      },
      {
        name: 'title',
      },
      {
        name: 'exchangerate',
      },
      {
        name: 'entitlementid',
      },
      {
        name: 'firstresponsebykpiid',
      },
      {
        name: 'slaid',
      },
      {
        name: 'existingcase',
      },
      {
        name: 'productid',
      },
      {
        name: 'contractid',
      },
      {
        name: 'responsiblecontactid',
      },
      {
        name: 'resolvebykpiid',
      },
      {
        name: 'contractdetailid',
      },
      {
        name: 'subjectid',
      },
      {
        name: 'masterid',
      },
      {
        name: 'parentcaseid',
      },
      {
        name: 'primarycontactid',
      },
      {
        name: 'transactioncurrencyid',
      },
      {
        name: 'contractname',
      },
      {
        name: 'contractdetailname',
      },
      {
        name: 'entitlementname',
      },
      {
        name: 'existingcasename',
      },
      {
        name: 'firstresponsebykpiname',
      },
      {
        name: 'mastername',
      },
      {
        name: 'parentcasename',
      },
      {
        name: 'primarycontactname',
      },
      {
        name: 'productname',
      },
      {
        name: 'resolvebykpiname',
      },
      {
        name: 'responsiblecontactname',
      },
      {
        name: 'subjectname',
      },
      {
        name: 'transactioncurrencyname',
      },
      {
        name: 'slaname',
      },
    ]
  }


}